Update Invite Link
curl --request PUT \
--url https://api.rootfi.dev/v3/core/invite_links/{invite_link_id} \
--header 'Content-Type: application/json' \
--header 'api_key: <api-key>' \
--data '
{
"company_name": "RootFi",
"integrations": [
"XERO"
],
"integration_categories": [
"ACCOUNTING"
],
"sync_config": [
{
"data_model": "ACCOUNTS",
"category": "ACCOUNTING",
"enabled": true,
"frequency": "DAILY",
"interval": 1,
"scope_access": {
"READ": true,
"CREATE": true,
"UPDATE": true,
"DELETE": true
},
"sync_from": "2023-01-01T00:00:00Z"
}
]
}
'import requests
url = "https://api.rootfi.dev/v3/core/invite_links/{invite_link_id}"
payload = {
"company_name": "RootFi",
"integrations": ["XERO"],
"integration_categories": ["ACCOUNTING"],
"sync_config": [
{
"data_model": "ACCOUNTS",
"category": "ACCOUNTING",
"enabled": True,
"frequency": "DAILY",
"interval": 1,
"scope_access": {
"READ": True,
"CREATE": True,
"UPDATE": True,
"DELETE": True
},
"sync_from": "2023-01-01T00:00:00Z"
}
]
}
headers = {
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {api_key: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: 'RootFi',
integrations: ['XERO'],
integration_categories: ['ACCOUNTING'],
sync_config: [
{
data_model: 'ACCOUNTS',
category: 'ACCOUNTING',
enabled: true,
frequency: 'DAILY',
interval: 1,
scope_access: {READ: true, CREATE: true, UPDATE: true, DELETE: true},
sync_from: '2023-01-01T00:00:00Z'
}
]
})
};
fetch('https://api.rootfi.dev/v3/core/invite_links/{invite_link_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"rootfi_id": 1,
"rootfi_created_at": "2021-08-10T12:00:00Z",
"rootfi_updated_at": "2021-08-10T12:00:00Z",
"invite_link_id": "1",
"integrations": [
"XERO"
],
"integration_categories": [
"ACCOUNTING"
],
"company": {
"rootfi_id": 1,
"rootfi_created_at": "2021-08-10T12:00:00Z",
"rootfi_updated_at": "2021-08-10T12:00:00Z",
"name": "RootFi"
},
"connections": [
{
"rootfi_id": 1,
"rootfi_created_at": "2021-08-10T12:00:00Z",
"rootfi_updated_at": "2021-08-10T12:00:00Z",
"integration_type": "XERO",
"status": "HEALTHY",
"sync_status": "IDLE",
"rate_limits": {
"counters": {
"day": 4,
"hour": 1,
"minute": 1,
"concurrent": 0
},
"lastReset": {
"day": "2024-01-28T11:00:17.087Z",
"hour": "2024-01-29T05:10:40.896Z",
"minute": "2024-01-29T05:10:40.896Z"
},
"maxLimits": {
"per_minute": 500,
"concurrent_calls": 10
}
},
"sync_config": [
{
"data_model": "ACCOUNTS",
"enabled": true,
"frequency": "DAILY",
"interval": 1,
"scope_access": {
"READ": true,
"CREATE": true,
"UPDATE": true,
"DELETE": true
},
"category": "ACCOUNTING",
"sync_from": "2023-01-01T00:00:00Z"
}
],
"category": "ACCOUNTING"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}Invite Links
Update Invite Link
Update a single invite link from the database.
PUT
/
core
/
invite_links
/
{invite_link_id}
Update Invite Link
An invite link contains API requests for generating and managing invite links, which can be used to connect end users to their preferred accounting platforms.
You can update the invite link if you need to:
- Change the company name.
- Update the sync config for this company (includes specific scopes, custom fields or sync frequency).
Authorizations
Path Parameters
The ID of the invite link to update
Body
application/json
The body of the invite link to update
The data of the invite link endpoint
The integration categories of the invite link
Available options:
ACCOUNTING, PAYMENTS, CRM, ECOMMERCE, CUSTOM The name of the company
The integrations of the invite link
Available options:
ZOHO_BOOKS, QUICKBOOKS_SANDBOX, QUICKBOOKS, XERO, TALLY, ROOTFI_SANDBOX, SAGE_CLOUD_ACCOUNTING, MS_DYNAMICS_365, SAGE_ZA_CLOUD_ACCOUNTING, MYOB_BUSINESS, NETSUITE, WAVE, ODOO_ACCOUNTING, WAFEQ, MEKARI_JURNAL, BUSY, QOYOD, STRIPE, RAZORPAY, PAYPAL, SHOPIFY, BIG_COMMERCE, WOO_COMMERCE, HUBSPOT, SALESFORCE, PIPEDRIVE, ZOHO_CRM The sync configuration of the connection
Show child attributes
Show child attributes
A custom ID which can be used to identify the invite link or Company
Response
The data of the invite link endpoint
The data of the invite link endpoint
Show child attributes
Show child attributes
⌘I